# Method: locations.transfer

- [HTTP request](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations/transfer#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations/transfer#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations/transfer#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations/transfer#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations/transfer#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/locations/transfer#body.aspect)

Moves a location from an account that the user owns to another account that the same user administers. The user must be an owner of the account the location is currently associated with and must also be at least a manager of the destination account.

### HTTP request

`POST https://mybusinessaccountmanagement.googleapis.com/v1/{name=locations/*}:transfer`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the location to transfer. `locations/{locationId}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "destinationAccount": string } ``` |

| Fields ||
|---|---|
| `destinationAccount` | `string` Required. Name of the account resource to transfer the location to (for example, "accounts/{account}"). |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).